Skip to main content
`Ctrl`+`K`

# scipy.special.kolmogi

scipy.special.kolmogi(p, out=None) = <ufunc 'kolmogi'>

  Inverse Survival Function of Kolmogorov distribution

  It is the inverse function to `kolmogorov`. Returns y such that `kolmogorov(y) == p`.

  Parameters:
    p float array_like

      Probability

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      The value(s) of kolmogi(p)

  See also

  `kolmogorov`

    The Survival Function for the distribution

  `scipy.stats.kstwobign`

    Provides the functionality as a continuous distribution

  `smirnov`, `smirnovi`

    Functions for the one-sided distribution

  Notes

  `kolmogorov` is used by stats.kstest in the application of the Kolmogorov-Smirnov Goodness of Fit test. For historical reasons this function is exposed in scpy.special, but the recommended way to achieve the most accurate CDF/SF/PDF/PPF/ISF computations is to use the stats.kstwobign distribution.

  Examples

      >>> from scipy.special import kolmogi
      >>> kolmogi([0, 0.1, 0.25, 0.5, 0.75, 0.9, 1.0])
      array([        inf,  1.22384787,  1.01918472,  0.82757356,  0.67644769,
              0.57117327,  0.        ])